const quizData = [
    {
        question: 'Qué son los operadores relacionales?',
        a: "Hace referencia a procesos lógicos matemáticos",
        b: "Hace referencia a condiciones entre datos, tambien pueden ser vistos como comparaciones",
        c: "Hace referencia a condiciones entre datos, tambien pueden ser vistos como diferencias",
        correct: "b",
    },
    {
        question: 'Cuáles son los nombres de estos operadores relacionales < y >?',
        a: "Mayor y menor, que",
        b: "Igual que y menor que",
        c: "Mayor igual y menor igual",
        correct: "a",
    },
    {
        question: 'Qué son los operadores lógicos?',
        a: "Hace referencia a operaciones algorítmicas con números sin símbolos",
        b: "Hace referencia a condiciones entre variables, tambien pueden ser vistos como comparaciones",
        c: "Son los que trabajan con el fin de ayudar con la evaluación de la entrada que el usuario le da con las condiciones que ha establecido.",
        correct: "b",
    },
    {
        question: 'Cuáles son operadores lógicos?',
        a: "<,>, =",
        b: "si, no, tal vez",
        c: "and, not, or",
        correct: "c",
    },
    {
        question: 'Qué son los condicionales?',
        a: "Son situaciones en las que pueden verse varias funciones en un conjunto de datos dentro de un programa",
        b: "Son situaciones en las que no pueden darse  varios resultados dentro de un programa",
        c: "Son situaciones en las que pueden darse  varios resultados dentro de un programa",
        correct: "c",
    },
    {
        question: "Cuándo se utiliza un ELIF?",
        a: "Se utiliza cuando se combinan varias opciones que el programa debe elegir",
        b: "Es dado caso en que no se cumpla la condición  del If",
        c: "Cuando se necesita una sola respuesta sin ninguna salida ni decisión",
        correct: "a",
    },
    {
        question: "Cuál es el resultado de False or True?",
        a: "True",
        b: "False",
        c: "Da 0",
        correct: "a",
    },
    {
        question: "Cuál es el resultado de if 2 > 1: print(' 2 es mayor que 1')?",
        a: "(' 2 es mayor que 1')",
        b: "(' 1 es mayor que 2')",
        c: "No es posible esa operación",
        correct: "a",
    },
    {
        question: 'Qué contiene la primera línea de la condición a evaluar, IF()',
        a: "Condición a evaluar y expresión lógica",
        b: "Expresión lógica",
        c: "Ninguna de las anteriores",
        correct: "a",
    },
    {
        question: 'Cuál es el resultado de if 1 > 3: print(" 1 es mayor que 3") else:   print("3 es mayor que 1")?',
        a: "(' 1 es mayor que 3')",
        b: "(' 3 es mayor que 1')",
        c: "(' 1 es igual que 3')",
        correct: "b",
    },
];

const quiz= document.getElementById('quiz')
const answerEls = document.querySelectorAll('.answer')
const questionEl = document.getElementById('question')
const a_text = document.getElementById('a_text')
const b_text = document.getElementById('b_text')
const c_text = document.getElementById('c_text')
const submitBtn = document.getElementById('submit')


let currentQuiz = 0
let score = 0

loadQuiz()

function loadQuiz() {

    deselectAnswers()

    const currentQuizData = quizData[currentQuiz]

    questionEl.innerText = currentQuizData.question
    a_text.innerText = currentQuizData.a
    b_text.innerText = currentQuizData.b
    c_text.innerText = currentQuizData.c
}

function deselectAnswers() {
    answerEls.forEach(answerEl => answerEl.checked = false)
}

function getSelected() {
    let answer
    answerEls.forEach(answerEl => {
        if(answerEl.checked) {
            answer = answerEl.id
        }
    })
    return answer
}


submitBtn.addEventListener('click', () => {
    const answer = getSelected()
    if(answer) {
       if(answer === quizData[currentQuiz].correct) {
           score++
       }

       currentQuiz++

       if(currentQuiz < quizData.length) {
           loadQuiz()
       } else {
           quiz.innerHTML = `
           <h2>Contestaste ${score}/${quizData.length} preguntas correctamente</h2>

           <button3 onclick="location.reload()">Intentalo nuevamente</button3>
           `
       }
    }
})